from subprocess import check_call, check_output

from helpers import get_repo_var, get_legion_var


def create(args):
    # Get Legion values
    legion = get_legion_var()

    # Get current repo values
    repo = get_repo_var()     

    print "Starting legion onto %s" % repo['heroku_name']

    # Duplicate server code onto /tmp
    check_output(['rm', '-rf', legion['tmp_server_path']])
    check_output(['git', 'clone', 'https://github.com/pmdartus/legion-load-balancer.git', '/tmp/legion-server'])

    # Config heroku
    print "Creating balancer server, name `%s`" % repo['heroku_name']
    check_call(['heroku', 'apps:create', repo['heroku_name'],  '--buildpack', 'https://github.com/heroku/heroku-buildpack-nodejs#diet', '--remote', 'legion-balancer'] + args, cwd=legion['tmp_server_path'])
    check_call(['git', 'push', 'legion-balancer', 'master'], cwd=legion['tmp_server_path'])
